Recruitment
Job listings
Authorization
ApiKeyAuth X-Api-Key<token>
API key obtained from the CMS dashboard.
In: header
Path Parameters
siteId*string
Query Parameters
limit?integer
Default
25Range
value <= 100cursor?string
status?string
Value in
"draft" | "review" | "published" | "paused" | "closed" | "filled" | "archived"Response Body
application/json
application/json
curl -X GET "https://example.com/v1/sites/string/recruitment/jobs"{
"data": {
"data": [
{
"id": "string",
"siteId": "string",
"title": "string",
"slug": "string",
"description": "string",
"department": "string",
"jobType": "full_time",
"location": "string",
"status": "draft",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"hasMore": true,
"nextCursor": "string"
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {}
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}Authorization
ApiKeyAuth X-Api-Key<token>
API key obtained from the CMS dashboard.
In: header
Path Parameters
siteId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/sites/string/recruitment/jobs" \ -H "Content-Type: application/json" \ -d '{ "title": "string" }'{
"data": {
"id": "string",
"siteId": "string",
"title": "string",
"slug": "string",
"description": "string",
"department": "string",
"jobType": "full_time",
"location": "string",
"status": "draft",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {}
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "string",
"message": "string",
"details": {}
},
"meta": {
"requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
"timestamp": "2019-08-24T14:15:22Z"
}
}